# egiw Class Reference

Gauss-inverse-Wishart density stored in LD form. More...

`#include <libEF.h>`

Inheritance diagram for egiw:

[legend]
Collaboration diagram for egiw:

[legend]

List of all members.

## Public Member Functions
| egiw (RV rv, mat V0, double nu0=-1.0)
| Default constructor, if nu0<0 a minimal nu0 will be computed.
| egiw (RV rv, ldmat V0, double nu0=-1.0)
| Full constructor for V in ldmat form.
vec | sample () const
| Returns a sample, from density .
vec | mean () const
| return expected value
vec | variance () const
| return expected variance (not covariance!)
void | mean_mat (mat &M, mat &R) const
double | evallog_nn (const vec &val) const
| In this instance, val= [theta, r]. For multivariate instances, it is stored columnwise val = [theta_1 theta_2 ... r_1 r_2 ].
double | lognc () const
| logarithm of the normalizing constant,
ldmat & | _V ()
| returns a pointer to the internal statistics. Use with Care!
const ldmat & | _V () const
| returns a pointer to the internal statistics. Use with Care!
double & | _nu ()
| returns a pointer to the internal statistics. Use with Care!
const double & | _nu () const
void | pow (double p)
| Power of the density, used e.g. to flatten the density.
virtual void | dupdate (mat &v)
| TODO decide if it is really needed.
virtual double | evallog (const vec &val) const
| Evaluate normalized log-probability.
virtual vec | evallog (const mat &Val) const
| Evaluate normalized log-probability for many samples.
virtual mat | sample_m (int N) const
| Returns N samples from density .
virtual vec | evallog_m (const mat &Val) const
| Compute log-probability of multiple values argument `val`.
virtual mpdf * | condition (const RV &rv) const
| Return conditional density on the given RV, the remaining rvs will be in conditioning.
virtual epdf * | marginal (const RV &rv) const
| Return marginal density on the given RV, the remainig rvs are intergrated out.
const RV & | _rv () const
| access function, possibly dangerous!
void | _renewrv (const RV &in_rv)
| modifier function - useful when copying epdfs
## Protected Attributes
ldmat | V
| Extended information matrix of sufficient statistics.
double | nu
| Number of data records (degrees of freedom) of sufficient statistics.
int | xdim
| Dimension of the output.
int | nPsi
| Dimension of the regressor.
RV | rv
| Identified of the random variable.

## Detailed Description

Gauss-inverse-Wishart density stored in LD form.

For -variate densities, given rv.count() should be V.rows().

The documentation for this class was generated from the following files:

- work/git/mixpp/bdm/stat/libEF.h
- work/git/mixpp/bdm/stat/libEF.cpp